Is it possible to tell debootstrap to also use packages from -updates and -security?

Asked by michagogo on 2015-05-21

Debootstrap is being used by https://github.com/devrandom/gitian-builder to create a base LXC container, which is reset to for each clean build. However, each time that happens it must upgrade somewhere in the area of 130 packages. Is there a way to avoid this?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu debootstrap Edit question
Assignee:
No assignee Edit question
Solved by:
Colin Watson
Solved:
2015-06-07
Last query:
2015-06-07
Last reply:
2015-06-07
Launchpad Janitor (janitor) said : #1

This question was expired because it remained in the 'Open' state without activity for the last 15 days.

Best Colin Watson (cjwatson) said : #3

No, sorry; debootstrap doesn't support bootstrapping from multiple suites, which is what this would amount to. You could always teach the builder to upgrade the base container to whatever baseline is globally appropriate so that it at least doesn't have to be done on every single build, though.

michagogo (michagogo) said : #4

Thanks Colin Watson, that solved my question.

michagogo (michagogo) said : #5

Hm, it would be nice if there existed a single "suite" that was essentially a fully-updated Ubuntu. :-/